Get a crypto wallet. Required scope: crypto-wallet:read.
Authorization
oauth2ClientCredentials crypto-wallet:readAuthorizationBearer <token>
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: crypto-wallet:read
Path Parameters
walletId*string
The crypto wallet ID.
Response Body
application/json
Get a crypto wallet
curl --request GET \ --url 'https://example.com/api/external/crypto/wallets/string'{ "message": "Crypto wallet retrieved successfully.", "data": { "id": "wallet-id", "asset": { "id": 1, "symbol": "USDC", "name": "USD Coin", "decimals": 6 }, "balance": "250.000000", "is_active": true, "created_at": "2026-08-12T20:00:00.000000Z", "updated_at": "2026-08-12T20:00:00.000000Z" }}GETList crypto wallets
Get crypto wallets that belong to your business. Required scope: `crypto-wallet:read`.
POSTCreate customer wallet addresses
Create static wallet addresses for one eligible business customer. Blaaiz creates an address for each active wallet network. Required scope: `crypto-wallet:create`.